Subject: Re: bug#6434: 23.1.93; Portuguese spell-checking doesn't work with words that contain the ç character

From: Agustin Martin <[email-masked]>
Date: Wed, 16 Jun 2010 15:52:26 +0200

On Tue, Jun 15, 2010 at 11:19:08PM +0100, Rolando Pereira wrote:
> Using ispell with a Portuguese dictionary to spell check a word that
> contains either the ç or Ç characters causes the spellchecker to act as
> if those characters were word boundaries.
[...]
> The second string, corresponding to the string returned by
> the function ispell-get-casechars, should contain the values \347 and
> \307, corresponding, in that order, to the ç and Ç characters.
> 
> Also, those values should appear in the third string, which is the one
> that is returned by the function ispell-get-not-casechars.
> 
> In both cases, these values should appear inside the [].
> 
> However, trying to set the variable ispell-dictionary-base-alist with
> the correct values on my .emacs, doesn't appear to solve the problem.

Hi, thanks for reporting,

You should have used `ispell-local-dictionary-alist' instead for your
personal changes. 

Anyway, I have just commited your changes to our bzr repo and I am closing 
this bug report as fixed.

Cheers,

-- 
Agustin